[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: Upgraded Tortoise, now fatal error from OPENSSL

From: Stefan Küng <tortoisesvn_at_gmail.com>
Date: 2006-02-16 19:35:18 CET

jan_bar wrote:

> Upgraded Tortoise, from 1.2.6 to 1.3.1, and now for any command that
> contacts remote server, I get:
>
> "---------------------------
> OpenSSL: FATAL
> ---------------------------
> OPENSSL_Uplink(00344010,06): no OPENSSL_Applink
>
> ---------------------------
> OK
> ---------------------------
>
> Any help?

Are you absolutely *sure* that you only upgraded TSVN? Did you maybe
install some other app in between? Or upgraded another app?
Make sure you don't have the openSSL dll's inside your Windows or
Windows\System32 path. If they're there, some other app put them there.
And if you're on Windows Server 2003, then that's the dll that's used
(unfortunately).
A workaround: use the latest nightly. We link OpenSSL statically now for
exactly that reason (the reason being stupid apps putting dll's where
they don't belong without putting a version resource in those dlls).

Stefan

-- 
        ___
   oo  // \\      "De Chelonian Mobile"
  (_,\/ \_/ \     TortoiseSVN
    \ \_/_\_/>    The coolest Interface to (Sub)Version Control
    /_/   \_\     http://tortoisesvn.tigris.org
---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@tortoisesvn.tigris.org
For additional commands, e-mail: users-help@tortoisesvn.tigris.org
Received on Thu Feb 16 19:35:42 2006

This is an archived mail posted to the TortoiseSVN Users mailing list.